library('uoptr')
library('adr')

c <- 900.1

f <- function(x) {
    abs(x^2 - c)
}

g <- function(x) {
    adrDiffFor(f, list(x))
}

H <- function(x) {
    adrHessian(f, list(x))
}

r <- uopt(13.2, f, g, H)
rv <- c(r)

show(rv)
show(rv^2 - c)
