import uopt
import numpy as np

from rosenbrock2d import *

n = 2

x0 = np.ndarray((n,))
x0[:] = [1.5,1.1]
xs = np.ndarray((n,))
ys = np.ndarray((1,))
opts = {'a': 1, 'b': 2, 'c': 3, 'wolcheck': 3}
udata = {'xxx': 123}

rc = uopt.uopt(x0, xs, ys, fhandle, ghandle, Hhandle, None, None, ohandle, opts, udata)

print('uopt status code:', rc)
print('uopt xs:', xs)
print('uopt ys:', ys)
print('expected:', np.array((a, a**2)))

exit(rc)
